CVE Reference: CVE-2012-5854

NOTE: The text on this page is written by CVE MITRE and reflects neither the opinions of Secunia or the results of our research. All data on this page is written and maintained by CVE MITRE.

Original Page at CVE MITRE:
CVE-2012-5854

Description:
Heap-based buffer overflow in WeeChat 0.3.6 through 0.3.9 allows remote attackers to cause a denial of service (crash or hang) and possibly execute arbitrary code via crafted IRC colors that are not properly decoded.

CVE Status:
Candidate

References:

SUSE
  http://lists.opensuse.org/opensuse-updates/2012-11/msg00087.html
  http://lists.opensuse.org/opensuse-security-announce/2013-01/msg00018.html

SAID
  Secunia Advisory: SA51377

OSVDB
  87279

MLIST
  http://www.openwall.com/lists/oss-security/2012/11/12/2

MANDRIVA
  http://www.mandriva.com/security/advisories?name=MDVSA-2013:136

FEDORA
  http://lists.fedoraproject.org/pipermail/package-announce/2012-November/092490.html
  http://lists.fedoraproject.org/pipermail/package-announce/2012-November/092536.html
  http://lists.fedoraproject.org/pipermail/package-announce/2012-November/092228.html

CONFIRM
  http://weechat.org/security/

BID
  56482


Return to the previous page.